Managing credits

12 Oct 2016 14:29 - Anna Maria Bigatti

Status: In Progress Start date: 12 Oct 2016

Priority: Normal Due date:  

Assignee:  % Done: 10%

Category: Manual/documentation Estimated time: 0.00 hour

Target version: CoCoA-5.?.? Spent time: 0.30 hour

Description

From #711 (8) (External Libs: print credits?)

If we do implement some scheme for recognising use of external libraries, probably we should also do something similar for

contributed packages -- that way, those who do contribute to CoCoA could get some recognition. Then if we do it for contributed

packahes, what about contributed parts of CoCoALib?

Related issues:

Related to CoCoA-5 - Feature #711: External Libs: print credits? Closed 18 May 2015

Related to CoCoALib - Design #855: Copyright and authorship? Closed 25 Mar 2016

Related to CoCoA-5 - Support #677: Credits to CoCoA-5 contributors New 02 Apr 2015

History

#1 - 12 Oct 2016 14:30 - Anna Maria Bigatti

- Related to Feature #711: External Libs: print credits? added

#2 - 12 Oct 2016 14:31 - Anna Maria Bigatti

- Description updated

#3 - 12 Oct 2016 14:33 - Anna Maria Bigatti

- Related to Design #855: Copyright and authorship? added

#4 - 12 Oct 2016 15:07 - John Abbott

Yes, it would be good to find a way of giving recognition to those who have contributed to CoCoA(Lib).

A possible first step could simply be a function called contributors which prints out a short description of who has contributed what.  Perhaps a

reference to this fn could be inserted in the "banner" when you start CoCoA?

While it might be "nicer" to print out credits when contributed code is actually used, I think that doing so in a correct and not overly intrusive manner

would be tricky.  KISS!

#5 - 16 May 2017 14:49 - John Abbott

- Status changed from New to In Progress

The function ExternalLibs() does not work properly.  It must be fixed using the new CoCoALib fn.

#6 - 14 Oct 2020 15:15 - John Abbott

- Related to Support #677: Credits to CoCoA-5 contributors added
